--
-- Name: getdefaulttext(character varying); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE OR REPLACE FUNCTION public.getdefaulttext(reference character varying) RETURNS character varying
    LANGUAGE java IMMUTABLE STRICT
    AS $$java.lang.String=one.shandan.PlJavaJSword.getDefaultText(java.lang.String)$$;

ALTER FUNCTION public.getdefaulttext(reference character varying) OWNER TO pgdb;


--
-- Name: getdefaulttranslation(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE OR REPLACE FUNCTION public.getdefaulttranslation() RETURNS character varying
    LANGUAGE java IMMUTABLE
    AS $$java.lang.String=one.shandan.PlJavaJSword.getDefaultTranslation()$$;

ALTER FUNCTION public.getdefaulttranslation() OWNER TO pgdb;


--
-- Name: gettext(character varying, character varying); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE OR REPLACE FUNCTION public.gettext(translation character varying, reference character varying) RETURNS character varying
    LANGUAGE java IMMUTABLE STRICT
    AS $$java.lang.String=one.shandan.PlJavaJSword.getText(java.lang.String,java.lang.String)$$;

ALTER FUNCTION public.gettext(translation character varying, reference character varying) OWNER TO pgdb;


--
-- Name: isvalidverse(character varying); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE OR REPLACE FUNCTION public.isvalidverse(reference character varying) RETURNS boolean
    LANGUAGE java IMMUTABLE STRICT
    AS $$java.lang.Boolean=one.shandan.PlJavaJSword.isValidVerse(java.lang.String)$$;

ALTER FUNCTION public.isvalidverse(reference character varying) OWNER TO pgdb;


--
-- Name: normalizeverse(character varying); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE OR REPLACE FUNCTION public.normalizeverse(reference character varying) RETURNS character varying
    LANGUAGE java IMMUTABLE STRICT
    AS $$java.lang.String=one.shandan.PlJavaJSword.normalizeVerse(java.lang.String)$$;

ALTER FUNCTION public.normalizeverse(reference character varying) OWNER TO pgdb;


